Subject: bug#21701: Fwd: cl-typecase broken (was 25.0.50; ert explainer for equal can't handle negative numbers)

From: Stefan Monnier <[email-masked]>
Date: Fri, 04 Dec 2015 16:25:50 -0500

> I assumed that `characterp' and the `character' type class was connected in
> Common Lisp.

They are.  The CLHS says:

          (characterp object) ==  (typep object 'character)

In Elisp that would translate to

          (cl-characterp object) ==  (cl-typep object 'character)

But cl-lib does not define cl-characterp and Elisp defines characterp
differently than Common-Lisp.

> If they aren't I guess the current system makes sense.

I think the current system can't make complete sense, sadly, because of
such subtle incompatibility between Elisp and Common Lisp.

        Stefan